=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg.[0-9]*// \
http://www.adel.nursat.kz/apg/download.shtml download/apg-([^b]+)\.tar\.gz debian
